Loading ...
Sorry, an error occurred while loading the content.
 

Re: WSJT with ubuntu 12.04

Expand Messages
  • qrpbear
    Patrick, You need to specify the path to libportaudio.so On my system the command is as follows... ./configure --with-portaudio-lib-dir=/usr/lib/i386-linux-gnu
    Message 1 of 8 , May 6, 2013
      Patrick,

      You need to specify the path to libportaudio.so

      On my system the command is as follows...

      ./configure --with-portaudio-lib-dir=/usr/lib/i386-linux-gnu

      It's a good idea to verify the path on your system with...

      locate libportaudio.so

      Hope this helps.

      73,

      'Bear' NH7SR

      --- In wsjtgroup@yahoogroups.com, f1ebk <f1ebk@...> wrote:
      >
      > Hi joe and all,
      >
      > I tried to install wsjt from the command you gave me.
      >
      > I got R3257 and I started to do the ./configure
      >
      > At the end, I have the following lines :
      >
      > --------------- quote ---------------------
      >
      > This program needs portaudio v19 to compile.
      > Please use --with-portaudio-include-dir= and
      > --with-portaudio-lib-dir= to set the paths.
      > configure: error: Please check error messages and install missing
      > packages.
      >
      > -------------- unquote --------------------
      >
      > So It looks like that I miss the portaudio v19.
      >
      > Using synaptics, I can double check that package portaudio19-dev is
      > installed with version 19+svn20111121-1.
      >
      > but the configure do not care of this, or do I have another missing
      > package ?
      >
      > Any idea ?
      >
      > Very 73
      >
      > Patrick, F1EBK
      >
      >
      >
      >
      > Le lundi 06 mai 2013 à 09:56 -0400, Joe Taylor a écrit :
      > > Hi Patrick and all,
      > >
      > > The command you want is
      > >
      > > $ svn co svn://svn.berlios.de/wsjt/trunk
      > >
      > > -- 73, Joe, K1JT
      > >
      > > On 5/6/2013 7:42 AM, f1ebk wrote:
      > > > Hi All,
      > > >
      > > > I am used to get wsjt (and map65) from svn with the command described on
      > > > K1JT's website.
      > > >
      > > > I can get map65 with :
      > > > svn co svn://svn.berlios.de/wsjt/branches/map65
      > > >
      > > > You can have wspr the same way :
      > > > svn co svn://svn.berlios.de/wsjt/branches/wsjt
      > > >
      > > > or even wsjt-x with :
      > > > svn co svn://svn.berlios.de/wsjt/branches/wsjtx
      > > >
      > > > but, how do you get wsjt (I mean version 9.3) ?
      > > >
      > > > Or should I use the compiled packages ?
      > > >
      > > > Very 73
      > > >
      > > > Patrick, F1EBK
      > > >
      > > >
      > > >
      > > > ------------------------------------
      > > >
      > > > To unsubscribe, send an email to:
      > > > wsjtgroup-unsubscribe@yahoogroups.com
      > > >
      > > > WSJTGroup Homepage --> http://www.wsjtgroup.org/
      > > >
      > > >
      > > >
      > > >
      > > >
      > > > Yahoo! Groups Links
      > > >
      > > >
      > > >
      > >
      > >
      > > ------------------------------------
      > >
      > > To unsubscribe, send an email to:
      > > wsjtgroup-unsubscribe@yahoogroups.com
      > >
      > > WSJTGroup Homepage --> http://www.wsjtgroup.org/
      > >
      > >
      > >
      > >
      > >
      > > Yahoo! Groups Links
      > >
      > >
      > >
      > >
      >
    • Joe Taylor
      Patrick -- ... You asked for the proper command to download source from the SVN repository. That s what I provided. ... No. Did you read the Please use...
      Message 2 of 8 , May 6, 2013
        Patrick --

        > I tried to install wsjt from the command you gave me.

        You asked for the proper command to download source from the SVN
        repository. That's what I provided.

        > I got R3257 and I started to do the ./configure
        >
        > At the end, I have the following lines :
        >
        > --------------- quote ---------------------
        >
        > This program needs portaudio v19 to compile.
        > Please use --with-portaudio-include-dir= and
        > --with-portaudio-lib-dir= to set the paths.
        > configure: error: Please check error messages and install missing
        > packages.
        >
        > -------------- unquote --------------------
        >
        > So It looks like that I miss the portaudio v19.

        No. Did you read the "Please use..." ???

        The message from "configure" tells you what is needed. You need to tell
        it where to find the portaudio include and library files. For example,
        on my system:

        ./configure --enable-gfortran --with-portaudio-include-dir=/usr/include
        --with-portaudio-lib-dir=/usr/lib/i386-linux-gnu

        -- 73, Joe, K1JT
      • f1ebk
        I all, I made it ! with the help of Joe and bear NH7SR, I compiled wsjt 9.5 with success. Thank you very much to all of you. ... f1ebk@Amilo-D:~/trunk$
        Message 3 of 8 , May 6, 2013
          I all,

          I made it ! with the help of Joe and 'bear' NH7SR, I compiled wsjt 9.5
          with success. Thank you very much to all of you.

          No is time for the first launch, and I get this :

          --------------------------- Quote ----------------------------

          f1ebk@Amilo-D:~/trunk$ python wsjt.py
          ******************************************************************
          WSJT Version 9.5 r3122 , by K1JT
          Revision date: 2013-04-02 18:41:37 +0200 (mar. 02 avril 2013)
          Run date: Tue May 7 05:51:04 2013 UTC
          ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
          ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
          ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM
          cards.pcm.center_lfe
          ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports
          only playback stream
          ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave

          Audio Input Output Device Name
          Device Channels Channels
          ------------------------------------------------------------------
          0 2 0 HDA Intel: ALC259 Analog (hw:0,0)
          1 0 2 HD-Audio Generic: HDMI 0 (hw:1,3)
          2 2 2 microHAM CODEC: USB Audio (hw:2,0)
          3 128 0 sysdefault
          4 32 32 pulse
          5 32 32 default

          User requested devices: Input = 2 Output = 2
          Default devices: Input = 5 Output = 5
          Will open devices: Input = 2 Output = 2
          ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
          ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
          ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM
          cards.pcm.center_lfe
          ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
          BT_GET_CAPABILITIES failed : Input/output error(5)
          ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports
          only playback stream
          ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
          Audio streams running normally.
          ******************************************************************


          ------------------------ Unquote -----------------------------

          It looks like my desktop computer has a strange audio system with some
          pcm_cia bluetooth capabilities... I hope that it's not going to bug
          wsjt.

          The device I need is device #2 : the microham CODEC . This is how linux
          'see' my microkeyer II. Nothing wrong here except that I was used to get
          separate Input and output device number. I hope this is ok.

          So In the option windows, I selected device #2 for Audio in AND Audio
          out. I still assume this is correct.

          Now when I use wsjt, it appears that the audio is taken from the desktop
          microphone... And this is not correct for me...

          I thought that wsjt audio selection would have select the microkeyer
          sound board. it looks like wsjt is not using the right audio
          source/destination, and I can't figure out how I could use my
          microkeyer.

          Any idea of what I did wrong with this.

          Very 73

          Patrick, F1EBK



          Le lundi 06 mai 2013 à 15:05 -0400, Joe Taylor a écrit :
          > Patrick --
          >
          > > I tried to install wsjt from the command you gave me.
          >
          > You asked for the proper command to download source from the SVN
          > repository. That's what I provided.
          >
          > > I got R3257 and I started to do the ./configure
          > >
          > > At the end, I have the following lines :
          > >
          > > --------------- quote ---------------------
          > >
          > > This program needs portaudio v19 to compile.
          > > Please use --with-portaudio-include-dir= and
          > > --with-portaudio-lib-dir= to set the paths.
          > > configure: error: Please check error messages and install missing
          > > packages.
          > >
          > > -------------- unquote --------------------
          > >
          > > So It looks like that I miss the portaudio v19.
          >
          > No. Did you read the "Please use..." ???
          >
          > The message from "configure" tells you what is needed. You need to tell
          > it where to find the portaudio include and library files. For example,
          > on my system:
          >
          > ./configure --enable-gfortran --with-portaudio-include-dir=/usr/include
          > --with-portaudio-lib-dir=/usr/lib/i386-linux-gnu
          >
          > -- 73, Joe, K1JT
          >
          >
          > ------------------------------------
          >
          > To unsubscribe, send an email to:
          > wsjtgroup-unsubscribe@yahoogroups.com
          >
          > WSJTGroup Homepage --> http://www.wsjtgroup.org/
          >
          >
          >
          >
          >
          > Yahoo! Groups Links
          >
          >
          >
          >
        • qrpbear
          Patrick, Sounds like you need an .asoundrc file in your home directory. Try this... From terminal mode enter sudo pico to launch the terminal mode editor. Type
          Message 4 of 8 , May 6, 2013
            Patrick,

            Sounds like you need an .asoundrc file in your home directory. Try this...

            From terminal mode enter sudo pico to launch the terminal mode editor.

            Type the following...

            pcm.radio {
            type hw
            card 2
            device 0
            }
            pcm_slave.radioslave {
            pcm radio
            rate 48000
            }
            pcm.radioconv {
            type rate
            slave radioslave
            }

            Hit [Ctrl-O] and give the filename .asoundrc (the "." is needed) then hit [Ctrl-X] to exit pico. Reboot then restart WSJT from terminal mode. You should see "radioconv" listed as one of the options for audio. Make a note of its number then enter it into the rx and tx audio dropdowns. Close and restart WSJT and with a bit o'luck you will find it working.

            73,

            'Bear' NH7SR

            --- In wsjtgroup@yahoogroups.com, f1ebk <f1ebk@...> wrote:
            >
            > I all,
            >
            > I made it ! with the help of Joe and 'bear' NH7SR, I compiled wsjt 9.5
            > with success. Thank you very much to all of you.
            >
            > No is time for the first launch, and I get this :
            >
            > --------------------------- Quote ----------------------------
            >
            > f1ebk@Amilo-D:~/trunk$ python wsjt.py
            > ******************************************************************
            > WSJT Version 9.5 r3122 , by K1JT
            > Revision date: 2013-04-02 18:41:37 +0200 (mar. 02 avril 2013)
            > Run date: Tue May 7 05:51:04 2013 UTC
            > ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
            > ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
            > ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM
            > cards.pcm.center_lfe
            > ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports
            > only playback stream
            > ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
            >
            > Audio Input Output Device Name
            > Device Channels Channels
            > ------------------------------------------------------------------
            > 0 2 0 HDA Intel: ALC259 Analog (hw:0,0)
            > 1 0 2 HD-Audio Generic: HDMI 0 (hw:1,3)
            > 2 2 2 microHAM CODEC: USB Audio (hw:2,0)
            > 3 128 0 sysdefault
            > 4 32 32 pulse
            > 5 32 32 default
            >
            > User requested devices: Input = 2 Output = 2
            > Default devices: Input = 5 Output = 5
            > Will open devices: Input = 2 Output = 2
            > ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
            > ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
            > ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM
            > cards.pcm.center_lfe
            > ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib audio/pcm_bluetooth.c:1614:(audioservice_expect)
            > BT_GET_CAPABILITIES failed : Input/output error(5)
            > ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports
            > only playback stream
            > ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
            > Audio streams running normally.
            > ******************************************************************
            >
            >
            > ------------------------ Unquote -----------------------------
            >
            > It looks like my desktop computer has a strange audio system with some
            > pcm_cia bluetooth capabilities... I hope that it's not going to bug
            > wsjt.
            >
            > The device I need is device #2 : the microham CODEC . This is how linux
            > 'see' my microkeyer II. Nothing wrong here except that I was used to get
            > separate Input and output device number. I hope this is ok.
            >
            > So In the option windows, I selected device #2 for Audio in AND Audio
            > out. I still assume this is correct.
            >
            > Now when I use wsjt, it appears that the audio is taken from the desktop
            > microphone... And this is not correct for me...
            >
            > I thought that wsjt audio selection would have select the microkeyer
            > sound board. it looks like wsjt is not using the right audio
            > source/destination, and I can't figure out how I could use my
            > microkeyer.
            >
            > Any idea of what I did wrong with this.
            >
            > Very 73
            >
            > Patrick, F1EBK
            >
            >
            >
            > Le lundi 06 mai 2013 à 15:05 -0400, Joe Taylor a écrit :
            > > Patrick --
            > >
            > > > I tried to install wsjt from the command you gave me.
            > >
            > > You asked for the proper command to download source from the SVN
            > > repository. That's what I provided.
            > >
            > > > I got R3257 and I started to do the ./configure
            > > >
            > > > At the end, I have the following lines :
            > > >
            > > > --------------- quote ---------------------
            > > >
            > > > This program needs portaudio v19 to compile.
            > > > Please use --with-portaudio-include-dir= and
            > > > --with-portaudio-lib-dir= to set the paths.
            > > > configure: error: Please check error messages and install missing
            > > > packages.
            > > >
            > > > -------------- unquote --------------------
            > > >
            > > > So It looks like that I miss the portaudio v19.
            > >
            > > No. Did you read the "Please use..." ???
            > >
            > > The message from "configure" tells you what is needed. You need to tell
            > > it where to find the portaudio include and library files. For example,
            > > on my system:
            > >
            > > ./configure --enable-gfortran --with-portaudio-include-dir=/usr/include
            > > --with-portaudio-lib-dir=/usr/lib/i386-linux-gnu
            > >
            > > -- 73, Joe, K1JT
            > >
            > >
            > > ------------------------------------
            > >
            > > To unsubscribe, send an email to:
            > > wsjtgroup-unsubscribe@yahoogroups.com
            > >
            > > WSJTGroup Homepage --> http://www.wsjtgroup.org/
            > >
            > >
            > >
            > >
            > >
            > > Yahoo! Groups Links
            > >
            > >
            > >
            > >
            >
          Your message has been successfully submitted and would be delivered to recipients shortly.